Subject: bug#46369: 28.0.50; Bind clone-buffer into the new C-x x keymap

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 08 Feb 2021 07:26:26 +0100

Dmitry Gutov <[email-masked]> writes:

> But if 'revert-buffer' were to move to 'C-x x u', I wouldn't find it
> odd. Because 'revert-buffer' pretty much has two different jobs:
>
> - There are file-visiting buffers, revert-buffer-function is never
>   set, and revert-buffer reverts to contents saved to disk as well as
>   re-initializes the modes. Up until now this function never had a
>  binding.
>
> - There are non-file-visiting buffers, revert-buffer-function must be
>   set, and the command does whatever revert-buffer-function says. This
>   is usually bound to 'g', though apparently not always.
>
> If these were two different commands, I don't think much would have
> changed for the vast majority of our users.

Yes, that's true -- they're really quite different things...  but I'm
not sure I feel much enthusiasm for detangling that bit at this point.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no